Bug 833335 - [Storage] Error when trying to create snapshot from VM that has only shared disk(s)
[Storage] Error when trying to create snapshot from VM that has only shared d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.0
Assigned To: Allon Mureinik
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 05:06 EDT by Leonid Natapov
Modified: 2016-02-10 12:15 EST (History)
9 users (show)

See Also:
Fixed In Version: SI13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-06-19 05:06:02 EDT
I have VM with shared disk only. When I am trying to create snapshot I get the following error:

Error: A request to the server failed with the following Status Code:500.
------------------------------------------------------------------------

We probably should block the possibility to create a snapshot from shared disk only or at least give an appropriate error message.

Here is the engine.log:
2012-06-19 11:53:24,279 INFO  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp--0.0.0.0-8009-14) [915dc9b] Lock Acquired to object EngineLock [exclusiveLocks= key: e2aec3be-8a15-40a3-ab59-d4b159ed60f9 value: VM
, sharedLocks= ]
2012-06-19 11:53:24,308 INFO  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp--0.0.0.0-8009-14) [915dc9b] Running command: CreateAllSnapshotsFromVmCommand internal: false. Entities affected :  ID: e2aec3be-8a15-40a3-ab59-d4b159ed60f9 Type: VM
2012-06-19 11:53:24,321 INFO  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp--0.0.0.0-8009-14) [915dc9b] Lock freed to object EngineLock [exclusiveLocks= key: e2aec3be-8a15-40a3-ab59-d4b159ed60f9 value: VM
, sharedLocks= ]
2012-06-19 11:53:24,333 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UpdateVMVDSCommand] (ajp--0.0.0.0-8009-14) [915dc9b] START, UpdateVMVDSCommand(storagePoolId = 347bb22d-598b-44bc-8b05-e1b176d30bef, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = 00000000-0000-0000-0000-000000000000, infoDictionary.size = 1), log id: 18966b81
2012-06-19 11:53:24,354 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UpdateVMVDSCommand] (ajp--0.0.0.0-8009-14) [915dc9b] FINISH, UpdateVMVDSCommand, log id: 18966b81
2012-06-19 11:53:24,357 ERROR [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp--0.0.0.0-8009-14) [915dc9b] Transaction rolled-back for command: org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand.
2012-06-19 11:53:24,361 INFO  [org.ovirt.engine.core.utils.transaction.TransactionSupport] (ajp--0.0.0.0-8009-14) [915dc9b] transaction rolled back
Comment 1 Andrew Cathrow 2012-06-19 12:23:56 EDT
I'd say that we shouldn't block the UI but give an error message like  "Shared disks do not support snapshots."
Otherwise it'll generate support tickets "Why is the button greyed out?"
Comment 2 Allon Mureinik 2012-07-26 02:59:40 EDT
was solved by commit e522e9e58b01e49caf30c8467c50e665ce528328 (http://gerrit.ovirt.org/#/c/6387/).
Comment 3 Allon Mureinik 2012-07-29 11:19:24 EDT
Comment on the solution: Taking a snapshot is allowed even if the VM does not have any snapable disks (e.g., only shared disks). Actually, taking a snapshot is allowed even the VM has no disks what so ever.
Comment 4 Haim 2012-07-29 11:21:38 EDT
(In reply to comment #3)
> Comment on the solution: Taking a snapshot is allowed even if the VM does
> not have any snapable disks (e.g., only shared disks). Actually, taking a
> snapshot is allowed even the VM has no disks what so ever.

verified on SI12.manage to take a snapshot on vm with share-able disks.

Note You need to log in before you can comment on or make changes to this bug.